Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.Dynamic
Class RequestContextHelper

    java.lang.Object
      |
      +--org.omg.Dynamic.RequestContextHelper

public class RequestContextHelper
extends java.lang.Object

Helper class for : RequestContext

Author:
  OpenORB Compiler

Constructor Summary
`RequestContextHelper()`

Method Summary
`static java.lang.String[]` | `extract(Any a)` Extract RequestContext from an any
`static java.lang.String` | `id()` Return the RequestContext IDL ID
`static void` | `insert(Any a, java.lang.String[] t)` Insert RequestContext into an any
`static java.lang.String[]` | `read(InputStream istream)` Read RequestContext from a marshalled stream
`static TypeCode` | `type()` Return the RequestContext TypeCode
`static void` | `write(OutputStream ostream, java.lang.String[] value)` Write RequestContext into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestContextHelper

    public RequestContextHelper()

Method Detail

### insert

    public static void insert(Any a,
                              java.lang.String[] t)

  Insert RequestContext into an any
  Parameters:
    `a` - an any
    `t` - RequestContext value

### extract

    public static java.lang.String[] extract(Any a)

  Extract RequestContext from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RequestContext value

### type

    public static TypeCode type()

  Return the RequestContext TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RequestContext IDL ID
  Returns:
    an ID

### read

    public static java.lang.String[] read(InputStream istream)

  Read RequestContext from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RequestContext value

### write

    public static void write(OutputStream ostream,
                             java.lang.String[] value)

  Write RequestContext into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RequestContext value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD